<app-header></app-header>
<app-breadcrumbs [title]=""></app-breadcrumbs>
<app-section 
    (searchCourseEventEmmiter)="searchCourse($event)">
</app-section>
<!-- *ngFor="let course of courses"  -->
<app-course-item 
    *ngFor="let course of (coursesRedux | async)?.courses" 
    [courseItem]="course"   
    (openEditCourseModalEventEmmiter)="openEditCourseModal($event)"
    (editCourseEventEmmiter)="editCourse($Event)"
    (openModalForDeletingCourseEventEmmiter)="openModalForDeletingCourse($event)">
</app-course-item>
<app-no-data-message *ngIf="courses === null || courses.length < 1"></app-no-data-message>
<app-load-more (loadMoreEventEmmiter)="loadMore($event)"></app-load-more>
<app-delete-course
    (deleteCourseEventEmmiter)="deleteCourse($event)">
</app-delete-course>

<app-edit-course 
    (updateBreadcrumbsTitleEventEmmiter)="updateBreadcrumbsTitle($event)">
</app-edit-course>
<router-outlet></router-outlet>
